IFAPI_POLICY_EXEC_CB_CTX Struct Reference

`#include <ifapi_policy_callbacks.h>`

## Data Fields

enum IFAPI_STATE_POL_CB_EXCECUTE | cb_state
char * | object_path
IFAPI_OBJECT | object
ESYS_TR | key_handle
ESYS_TR | nv_index
ESYS_TR | auth_index
ESYS_TR | flush_handle
IFAPI_OBJECT | auth_object
ESYS_TR * | enc_session
IFAPI_LoadKey | load_ctx_sav
IFAPI_LoadKey | load_ctx
IFAPI_CreatePrimary | create_primary_ctx_sav
IFAPI_CreatePrimary | create_primary_ctx
IFAPI_OBJECT * | key_object_ptr
IFAPI_OBJECT * | auth_object_ptr
IFAPI_NV_Cmds | nv_cmd_state
IFAPI_NV_Cmds | nv_cmd_state_sav
TPM2B_DIGEST | policy_digest
ESYS_TR | session
TPMS_POLICY * | policy

## Detailed Description

The context of the policy execution

## Field Documentation

## auth_index

ESYS_TR auth_index

Index of authorization object

## auth_object

IFAPI_OBJECT auth_object

FAPI auth object needed for authorization

## cb_state

enum IFAPI_STATE_POL_CB_EXCECUTE cb_state

The execution state of the current policy callback

## enc_session

ESYS_TR* enc_session

FAPI session used for encryption if policy is used

## flush_handle

ESYS_TR flush_handle

Handle which has to be flushed after policy execution

## key_handle

ESYS_TR key_handle

Handle of a used key

## nv_cmd_state_sav

IFAPI_NV_Cmds nv_cmd_state_sav

backup for state of fapi nv commands

## nv_index

ESYS_TR nv_index

Index of nv object storing a policy

## object

IFAPI_OBJECT object

Object to be authorized

## object_path

char* object_path

The pathname determined by object search

The documentation for this struct was generated from the following file:

- src/tss2-fapi/ifapi_policy_callbacks.h